import java.util.Scanner;

public class Assign10 {
	public static void main(String [] args) {
		Scanner in = new Scanner(System.in);
		
		//get army numbers from user
		System.out.print("Number of human troops: ");
		int humanNum = in.nextInt();
		System.out.print("Number of orc troops: ");
		int orcNum = in.nextInt();
		
		in.close();
		
		//Instantiate both armies with their type
		Army<Human> Gondor = new Army<>("Gondor");
		Army<Orc> Mordor = new Army<>("Mordor");
		
		//fill both armies with units
		for(int i=0; i<humanNum; i++) {
			Gondor.addUnit(new Human());
		}
		for(int i=0; i<orcNum; i++) {
			Mordor.addUnit(new Orc());
		}
		
		//create battle count and print pre battle armies
		int battleCnt = 0;
		System.out.println("");
		
		System.out.println("Pre Battle!");
		System.out.println(Gondor);
		System.out.println(Mordor);
		System.out.println("");
		
		//while either army is not defeated have them attack each other and print results
		while(!Mordor.isDefeated() && !Gondor.isDefeated()) {
			System.out.println("Battle: " + battleCnt);
			
			Gondor.attacks(Mordor);
			Mordor.attacks(Gondor);
			
			System.out.println(Gondor);
			System.out.println(Mordor);
			System.out.println("");
			
			battleCnt++;
		}
		
		//Print results
		System.out.println("Number of Battles Fought: " + battleCnt);
		
		if(!Gondor.isDefeated()) {
			System.out.println(Gondor.getName() + " is victorious!");
		}
		else if(!Mordor.isDefeated()) {
			System.out.println(Mordor.getName() + " is victorious!");
		}
		else {
			System.out.println("Both sides lost!");
		}
	}
}
